#!/bin/bash

set -eux

DATE_STAMP=$(date '+%s')

apt -y install build-essential checkinstall libncurses5 git curl wget libnewt-dev libssl-dev libncurses5-dev subversion libsqlite3-dev libjansson-dev libxml2-dev uuid-dev default-libmysqlclient-dev

mkdir asterisk-${DATE_STAMP:-fail}

cd asterisk-${DATE_STAMP:-fail}

mkdir build

wget http://downloads.asterisk.org/pub/telephony/asterisk/asterisk-18-current.tar.gz \
-O asterisk-18-current.tar.gz --show-progress

cd build

tar xf ../asterisk-18-current.tar.gz

cd asterisk*

# Main build bit.
./contrib/scripts/get_mp3_source.sh

contrib/scripts/install_prereq install

./configure

make

#sudo checkinstall --default  --pkgname asterisk --addso=yes make install config samples

echo "Install Asterisk and kitchen sink (everything)?"
read

make install
make samples
make config
ldconfig

exit 0;
