# SIMCOM 7600G modem On A Raspberry Pi 4

This is using [The Waveshare 4G dongle from ThePiHut][4G Dongle].

**A warning about power**

No matter which mode used USB disconnects were frequent, mostly when
moving the device. I incorrectly assumed the default mode QMI was
causing the issue, but it was the modem drawing more current
(than the Pi 4 could supply) to latch/keep connected onto a 4G mast.
This was with the official Raspberry Pi UK 5.1v 3a power supply too.

The current method I use to power both the Pi 4 & modem is via this
[USB Hub]. There is a warning at first boot about the device not
responding but after a automatic bus reset it is fine and works as
expected.

## Switching Modes

The modem has many modes (see the [PDF Manual] pages 50-51), You can use
the mode you prefer. I recommend the USB standard MBIM mode or QMI if
you have issues.

### USB Mode

Connect to SIMCOM7600 AT com port using minicom...
```
apt install minicom

minicom -D /dev/ttyUSB2
```

In minicom get default mode (to revert later if needed)...
```
AT+CUSBPIDSWITCH
```

Set USB mode...

```
AT+CUSBPIDSWITCH=9011,1,1
```

After the device has rebooted connect to minicom again & issue...
```
AT+CLANMODE=1
```

[PDF Manual]: https://usermanual.wiki/m/e87a5540256c1ed0390232e8663c1f46570ff85b21c470d98dce792ecedd3525.pdf
[USB Hub]: https://smile.amazon.co.uk/gp/product/B08K3GFD3Q
[4G Dongle]: https://thepihut.com/products/sim7600g-h-4g-usb-dongle
