# WPA Supplicant

You must be root `sudo -s`!

All wireless devices need wpa_supplicant to work correctly, so let's
install it...

```
apt install wpa_supplicant
```

---

To avoid issues with rogue wpa_supplicant processes disable the default
service...

```
systemctl disable wpa_supplicant.service
```

---

Now using the example `wpa_supplicant-wlan0.conf` file; Copy it into
`/etc/wpa_supplicant`...

```
cp -iv wpa_supplicant-wlan0.conf /etc/wpa_supplicant-wlan0.conf
```

**You must rename it to match your wireless device if different, or if
you already have a `/etc/wpa_supplicant/wpa_supplicant-wlan0.conf` file
and you don't want to overwrite it. You can use `ip addr` to find it.**

```
cp -iv wpa_supplicant-wlan0.conf /etc/wpa_supplicant-wlan1.conf
```

---

We only want root to be able to read the configuration as it contains
passwords...

```
chmod -Rv 600 /etc/wpa_supplicant/*.conf
```

---

Start the service for our device...

```
systemctl enable --now wpa_supplicant@wlan0.service
```

**Make sure you change the name of the device if yours is different!**

```
systemctl enable --now wpa_supplicant@wlan1.service
```

---

Finally we need to restart the device...

**Once again make sure you get the right device!**

```
networkctl down wlan0
networkctl up wlan0
```

And check everything is working..

```
networkctl status wlan0
```
